Bug 149122 - Resource Groups does not work, causes traceback
Summary: Resource Groups does not work, causes traceback
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: redhat-config-cluster   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-18 22:45 UTC by Paul Kennedy
Modified: 2015-04-20 00:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-15 19:35:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Kennedy 2005-02-18 22:45:18 UTC
Cluster -> Managed Resources -> Resource Groups
Clicking the âResource Groupsâ button does nothing at the GUI.
Traceback message is displayed at command line prompt from which
system-config-cluster was launched.

Version-Release number of selected component (if applicable):
system-config-cluster-0.9.5-1.0

Steps to Reproduce:
1. Click "Resource Groups".

Actual results:
No results at the GUI.
traceback message displays example:
[root@tng3-4 root]# system-config-cluster
Traceback (most recent call last):
  File "/usr/share/system-config-cluster/ConfigTab.py", line 140, in
on_tree_selection_changed
    self.prop_renderer.render_to_layout_area(None, obj.getName(),type)
AttributeError: 'NoneType' object has no attribute 'getName'


Expected results:
Display of dialog box

Additional info:
To reproduce the problem after the first time, click another element
in the navigation tree, then click "Resource Groups" again.

Comment 1 Jim Parsons 2005-03-15 15:06:31 UTC
working in 0.9.12

Comment 2 Derek Anderson 2005-03-15 19:35:50 UTC
Verified in 0.9.12.


Note You need to log in before you can comment on or make changes to this bug.